﻿@using Microsoft.AspNetCore.Http
@using Newtonsoft.Json
@inject IHttpContextAccessor HttpContextAccessor


@{
    var session = HttpContextAccessor.HttpContext.Session;
    string jsoncart = session.GetString(LapStore.Web.Areas.Customer.Controllers.CartController.CARTKEY);
    if (jsoncart != null)
    {
        var cart = JsonConvert.DeserializeObject<List<CartItem>>(jsoncart);
        <div class="nav-item pl-5"><a class="text-warning" asp-route="cart"><i style="font-size: 36px" class="fas fa-shopping-cart"></i><sup style="font-size: 24px">(@cart.Count)</sup></a></div>

    }
}